<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema"
                exclude-result-prefixes="xs" version="2.0" xmlns="http://www.w3.org/1999/xhtml">
    <xsl:output method="html" omit-xml-declaration="yes" indent="yes"/>
    <xsl:template match="/">
        <html>
            <head>
                <meta charset="UTF-8"/>
                <style type="text/css">
                    body {
                        margin: 0;
                        font-family: Arial, sans-serif;
                        font-size: 14px;
                    }

                    table {
                        border-collapse: collapse;
                    }

                    td {
                        mso-number-format: \@ !important;
                        vertical-align: middle;
                        mso-char-indent: 0;
                    }

                    
                    .accent {
                        font-weight: bold;
                        font-size: 11pt;
                        line-height: 1;
                    }
                    
                    .move {
                        margin: 10mm;
                        line-height: 18px;
                    }
                </style>

            </head>
            <body>
                <xsl:for-each select="//CCX98">
                    <div class="move">
                        <center>
                            <span class="accent">ОТЧЕТ О РАСЧЕТНЫХ КОДАХ И РЕКВИЗИТАХ УЧАСТНИКА КЛИРИНГА</span>
                            <br/>
                            <br/>
                        </center>

                        <table width="50%" align="center" rules="groups">
                            <tr>
                                <td>
                                    <span class="accent">Регистрационный код Участника клиринга:</span>
                                    <xsl:value-of select="@REGCODE"/>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <span class="accent">Основной Расчетный код Участника клиринга:</span>
                                    <xsl:value-of select="@UVR_CODE"/>
                                </td>
                            </tr>
                        </table>
                        <br/>
                        <center>
                            <span class="accent">Перечень Расчетных кодов Участника клиринга.</span>
                        </center>

                        <xsl:for-each select="//RC">

                            <table width="50%" align="center" cellpadding="4">
                                <COL width="30%" align="left"/>
                                <COL width="70%" align="left"/>
                                <thead>
                                    <tr bgcolor="#CCCCCC">
                                        <th align="left">
                                            <span style="font-weight:bold">
                                                <xsl:text>Расчетный код</xsl:text>
                                            </span>
                                        </th>
                                        <td>
                                            <xsl:for-each select="@ID">
                                                <span align="left" style="font-weight:bold">
                                                    <xsl:value-of select="string(.)"/>
                                                </span>
                                            </xsl:for-each>
                                        </td>
                                    </tr>

                                    <tr bgcolor="#CCCCCC">
                                        <th align="left">
                                            <span style="font-weight:bold">
                                                <xsl:text>Тип расчетного кода</xsl:text>
                                            </span>
                                        </th>
                                        <td>
                                            <span align="left" style="font-weight:bold">
                                                <xsl:choose>
                                                    <xsl:when test="@TYPE='S'">
                                                        <xsl:text>Собственные средства</xsl:text>
                                                    </xsl:when>
                                                    <xsl:when test="@TYPE='L'">
                                                        <xsl:text>Средства клиентов</xsl:text>
                                                    </xsl:when>
                                                    <xsl:when test="@TYPE='D'">
                                                        <xsl:text>Средства, переданные в доверительное управление</xsl:text>
                                                    </xsl:when>
                                                    <xsl:otherwise>
                                                        <xsl:value-of select="@TYPE"/>
                                                    </xsl:otherwise>
                                                </xsl:choose>
                                            </span>
                                        </td>
                                    </tr>


                                    <tr bgcolor="#CCCCCC">
                                        <th align="left">
                                            <span style="font-weight:bold">
                                                <xsl:text>Вид расчетного кода</xsl:text>
                                            </span>
                                        </th>
                                        <td>
                                            <span align="left" style="font-weight:bold">
                                                <xsl:choose>
                                                    <xsl:when test="@KIND='O'">
                                                        <xsl:text>Стандартный</xsl:text>
                                                    </xsl:when>
                                                    <xsl:when test="@KIND='I'">
                                                        <xsl:text>Обеспечение под риски концентрации</xsl:text>
                                                    </xsl:when>
                                                    <xsl:when test="@KIND='F'">
                                                        <xsl:text>Коллективное клиринговое обеспечение</xsl:text>
                                                    </xsl:when>
                                                    <xsl:when test="@KIND='G'">
                                                        <xsl:text>Обеспечение под стресс</xsl:text>
                                                    </xsl:when>
                                                    <xsl:when test="@KIND='B'">
                                                        <xsl:text>Пул &#171;GC Bonds&#187;</xsl:text>
                                                    </xsl:when>
                                                    <xsl:when test="@KIND='X'">
                                                        <xsl:text>Пул &#171;GC Shares&#187;</xsl:text>
                                                    </xsl:when>
                                                    <xsl:when test="@KIND='E'">
                                                        <xsl:text>Пул &#171;GC Expanded&#187;</xsl:text>
                                                    </xsl:when>
                                                    <xsl:when test="@KIND='U'">
                                                        <xsl:text>Пул &#171;OFZ&#187;</xsl:text>
                                                    </xsl:when>
                                                    <xsl:when test="@KIND='M'">
                                                        <xsl:text>Пул &#171;GC METAL&#187;</xsl:text>
                                                    </xsl:when>
                                                    <xsl:when test="@KIND='D'">
                                                        <xsl:text>Депозит Deposit</xsl:text>
                                                    </xsl:when>
                                                    <xsl:when test="@KIND='Z'">
                                                        <xsl:text>Расчетный код для учета обеспечения под налоги РФ</xsl:text>
                                                    </xsl:when>
                                                    <xsl:otherwise>
                                                        <xsl:value-of select="@KIND"/>
                                                    </xsl:otherwise>
                                                </xsl:choose>
                                            </span>
                                        </td>
                                    </tr>

                                    <xsl:choose>
                                        <xsl:when test="@Z_CONNECTED">
                                            <tr bgcolor="#CCCCCC">
                                                <th align="left">
                                                    <span style="font-weight:bold">
                                                        <xsl:text>Связь с Расчетным кодом учета обеспечения под налоги РФ</xsl:text>
                                                    </span>
                                                </th>
                                                <td>
                                                    <span align="left" style="font-weight:bold">
                                                        <xsl:choose>
                                                            <xsl:when test="@Z_CONNECTED='Y'">
                                                                <xsl:text>Связан</xsl:text>
                                                            </xsl:when>
                                                            <xsl:when test="@Z_CONNECTED='N'">
                                                                <xsl:text>Не связан</xsl:text>
                                                            </xsl:when>
                                                        </xsl:choose>
                                                    </span>
                                                </td>
                                            </tr>
                                        </xsl:when>
                                    </xsl:choose>

                                    <xsl:choose>
                                        <xsl:when test="@FUND_NAME">
                                            <tr bgcolor="#CCCCCC">
                                                <th align="left">
                                                    <span style="font-weight:bold">
                                                        <xsl:text>Наименование инвестиционного фонда</xsl:text>
                                                    </span>
                                                </th>
                                                <td>
                                                    <span align="left"
                                                          style="font-weight:bold; display:block; width:80ex; word-wrap:break-word;">
                                                        <xsl:value-of select="@FUND_NAME"/>
                                                    </span>
                                                </td>
                                            </tr>
                                        </xsl:when>
                                    </xsl:choose>

                                </thead>
                                <xsl:for-each select="CURRENCY">
                                    <xsl:sort order="descending" select="ACCOUNT_DETAILS/@SING_MAIN"/>
                                    <xsl:sort order="ascending" select="ACCOUNT_DETAILS/@CURRENCY"/>
                                    <tbody>
                                        <xsl:for-each select="ACCOUNT_DETAILS">
                                            <tr bgcolor="#CCCCCC">
                                                <th align="left" style="font-weight:normal">
                                                    <text>Реквизиты счета</text>
                                                </th>
                                                <xsl:choose>
                                                    <xsl:when test="@SING_MAIN='Y'">
                                                        <th align="left" style="font-weight:normal">
                                                            <text>основные</text>
                                                        </th>
                                                    </xsl:when>
                                                    <xsl:otherwise>
                                                        <th align="left" style="font-weight:normal">
                                                            <text>дополнительные</text>
                                                        </th>
                                                    </xsl:otherwise>
                                                </xsl:choose>
                                            </tr>
                                            <xsl:choose>
                                                <xsl:when test="../@ISO='RUB'">
                                                    <tr>
                                                        <th align="left">
                                                            <span style="font-weight:bold">
                                                                <xsl:text>BIC</xsl:text>
                                                            </span>
                                                        </th>
                                                        <th align="left">
                                                            <span style="font-weight:bold">
                                                                <xsl:text>БИК Банка</xsl:text>
                                                            </span>
                                                        </th>
                                                    </tr>
                                                    <tr>
                                                        <th>
                                                        </th>
                                                        <td align="left">
                                                            <xsl:for-each select="@F58A_BIC">
                                                                <span>
                                                                    <xsl:value-of select="string(.)"/>
                                                                </span>
                                                            </xsl:for-each>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <th align="left">
                                                            <span style="font-weight:bold">
                                                                <xsl:text>REG_BNAME1</xsl:text>
                                                            </span>
                                                        </th>
                                                        <th align="left">
                                                            <span style="font-weight:bold">
                                                                <xsl:text>Наименование Банка</xsl:text>
                                                            </span>
                                                        </th>
                                                    </tr>
                                                    <tr>
                                                        <th>
                                                        </th>
                                                        <td align="left">
                                                            <xsl:for-each select="@REG_BNAME1">
                                                                <span>
                                                                    <xsl:value-of select="string(.)"/>
                                                                </span>
                                                            </xsl:for-each>
                                                        </td>
                                                    </tr>

                                                    <tr>
                                                        <th align="left">
                                                            <span style="font-weight:bold">
                                                                <xsl:text>CORR_ACC</xsl:text>
                                                            </span>
                                                        </th>
                                                        <th align="left">
                                                            <span sstyle="font-weight:bold">
                                                                <xsl:text>Корреспондентский счет</xsl:text>
                                                            </span>
                                                        </th>
                                                    </tr>
                                                    <tr>
                                                        <th>
                                                        </th>
                                                        <td style="padding-bottom:5" align="left">
                                                            <xsl:text>&#160;</xsl:text>
                                                            <xsl:for-each select="@F58A_CORR_ACC">
                                                                <span align="left">
                                                                    <xsl:value-of select="string(.)"/>
                                                                </span>
                                                            </xsl:for-each>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <th align="left">
                                                            <span style="font-weight:bold">
                                                                <xsl:text>ACC_CREDIT</xsl:text>
                                                            </span>
                                                        </th>
                                                        <th align="left">
                                                            <span style="font-weight:bold">
                                                                <xsl:text>Номер счета получателя</xsl:text>
                                                            </span>
                                                        </th>
                                                    </tr>
                                                    <tr>
                                                        <th>
                                                        </th>
                                                        <td align="left">
                                                            <xsl:text>&#160;</xsl:text>
                                                            <xsl:for-each select="@F58A_ACC">
                                                                <span>
                                                                    <xsl:value-of select="string(.)"/>
                                                                </span>
                                                            </xsl:for-each>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <th align="left">
                                                            <span style="font-weight:bold">
                                                                <xsl:text>INN</xsl:text>
                                                            </span>
                                                        </th>
                                                        <th align="left">
                                                            <span style="font-weight:bold">
                                                                <xsl:text>ИНН получателя</xsl:text>
                                                            </span>
                                                        </th>
                                                    </tr>
                                                    <tr>
                                                        <th>
                                                        </th>
                                                        <td align="left">
                                                            <xsl:for-each select="@F58A_INN">
                                                                <span>
                                                                    <xsl:value-of select="string(.)"/>
                                                                </span>
                                                            </xsl:for-each>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <th align="left">
                                                            <span style="font-weight:bold">
                                                                <xsl:text>REG_NAME1</xsl:text>
                                                            </span>
                                                        </th>
                                                        <th align="left">
                                                            <span style="font-weight:bold">
                                                                <xsl:text>Наименование получателя средств</xsl:text>
                                                            </span>
                                                        </th>
                                                    </tr>
                                                    <tr>
                                                        <th>
                                                        </th>
                                                        <td align="left">
                                                            <xsl:for-each select="@FIRMPURPOSE">
                                                                <span>
                                                                    <xsl:value-of select="string(.)"/>
                                                                </span>
                                                            </xsl:for-each>
                                                        </td>
                                                    </tr>
                                                </xsl:when>

                                                <xsl:otherwise>
                                                    <tr>
                                                        <th align="left">
                                                            <span style="font-weight:bold">
                                                                <xsl:text>CURRENCY</xsl:text>
                                                            </span>
                                                        </th>
                                                        <th align="left">
                                                            <span style="font-weight:bold">
                                                                <xsl:text>Код валюты</xsl:text>
                                                            </span>
                                                        </th>
                                                    </tr>
                                                    <tr>
                                                        <th>
                                                        </th>
                                                        <td style="padding-bottom:5" align="left">
                                                            <xsl:for-each select="../@ISO">
                                                                <span align="left">
                                                                    <xsl:value-of select="string(.)"/>
                                                                </span>
                                                            </xsl:for-each>
                                                        </td>
                                                    </tr>

                                                    <xsl:if test="@F56A_BIC!=''">
                                                        <xsl:if test="@F56A_ACC!=''">
                                                            <tr>
                                                                <th align="left">

                                                                    <span style="font-weight:bold">
                                                                        <xsl:text>F56A_ACC</xsl:text>
                                                                    </span>
                                                                </th>
                                                                <th align="left">
                                                                    <span style="font-weight:bold">
                                                                        <xsl:text>Коррсчет Банка посредника</xsl:text>
                                                                    </span>
                                                                </th>
                                                            </tr>
                                                            <tr>
                                                                <th>
                                                                </th>
                                                                <td align="left">
                                                                    <xsl:for-each select="@F56A_ACC">
                                                                        <span>
                                                                            <xsl:value-of select="string(.)"/>
                                                                        </span>
                                                                    </xsl:for-each>
                                                                </td>
                                                            </tr>
                                                        </xsl:if>
                                                        <tr>
                                                            <th align="left">
                                                                <span style="font-weight:bold">
                                                                    <xsl:text>F56A_BIC</xsl:text>
                                                                </span>
                                                            </th>
                                                            <th align="left">
                                                                <span style="font-weight:bold">
                                                                    <xsl:text>SWIFT BIC Банка посредника</xsl:text>
                                                                </span>
                                                            </th>
                                                        </tr>
                                                        <tr>
                                                            <th>
                                                            </th>
                                                            <td style="padding-bottom:5" align="left">
                                                                <xsl:for-each select="@F56A_BIC">
                                                                    <span align="left">
                                                                        <xsl:value-of select="string(.)"/>
                                                                    </span>
                                                                </xsl:for-each>
                                                            </td>
                                                        </tr>
                                                    </xsl:if>

                                                    <xsl:if test="@F56A_ADRES!=''">
                                                        <xsl:if test="@F56A_ACC!=''">
                                                            <tr>
                                                                <th align="left">

                                                                    <span style="font-weight:bold">
                                                                        <xsl:text>F56D_ACC</xsl:text>
                                                                    </span>
                                                                </th>
                                                                <th align="left">
                                                                    <span style="font-weight:bold">
                                                                        <xsl:text>Коррсчет Банка посредника</xsl:text>
                                                                    </span>
                                                                </th>
                                                            </tr>
                                                            <tr>
                                                                <th>
                                                                </th>
                                                                <td align="left">
                                                                    <xsl:for-each select="@F56A_ACC">
                                                                        <span>
                                                                            <xsl:value-of select="string(.)"/>
                                                                        </span>
                                                                    </xsl:for-each>
                                                                </td>
                                                            </tr>
                                                        </xsl:if>
                                                        <tr>
                                                            <th align="left">
                                                                <span style="font-weight:bold">
                                                                    <xsl:text>F56D_NAME</xsl:text>
                                                                </span>
                                                            </th>
                                                            <th align="left">
                                                                <span style="font-weight:bold">
                                                                    <xsl:text>Наименование и адрес Банка посредника</xsl:text>
                                                                </span>
                                                            </th>
                                                        </tr>
                                                        <tr>
                                                            <th>
                                                            </th>
                                                            <td style="padding-bottom:5" align="left">
                                                                <xsl:for-each select="@F56A_ADRES">
                                                                    <span align="left">
                                                                        <xsl:value-of select="string(.)"/>
                                                                    </span>
                                                                </xsl:for-each>
                                                            </td>
                                                        </tr>
                                                    </xsl:if>

                                                    <xsl:if test="@F57A_BIC!=''">
                                                        <xsl:if test="@F57A_ACC!=''">
                                                            <tr>
                                                                <th align="left">

                                                                    <span style="font-weight:bold">
                                                                        <xsl:text>F57A_ACC</xsl:text>
                                                                    </span>
                                                                </th>
                                                                <th align="left">
                                                                    <span style="font-weight:bold">
                                                                        <xsl:text>Коррсчет Банка Бенефициара</xsl:text>
                                                                    </span>
                                                                </th>
                                                            </tr>
                                                            <tr>
                                                                <th>
                                                                </th>
                                                                <td align="left">
                                                                    <xsl:for-each select="@F57A_ACC">
                                                                        <span>
                                                                            <xsl:value-of select="string(.)"/>
                                                                        </span>
                                                                    </xsl:for-each>
                                                                </td>
                                                            </tr>
                                                        </xsl:if>
                                                        <tr>
                                                            <th align="left">
                                                                <span style="font-weight:bold">
                                                                    <xsl:text>F57A_BIC</xsl:text>
                                                                </span>
                                                            </th>
                                                            <th align="left">
                                                                <span style="font-weight:bold">
                                                                    <xsl:text>SWIFT BIC Банка Бенефициара</xsl:text>
                                                                </span>
                                                            </th>
                                                        </tr>
                                                        <tr>
                                                            <th>
                                                            </th>
                                                            <td style="padding-bottom:5" align="left">
                                                                <xsl:for-each select="@F57A_BIC">
                                                                    <span align="left">
                                                                        <xsl:value-of select="string(.)"/>
                                                                    </span>
                                                                </xsl:for-each>
                                                            </td>
                                                        </tr>
                                                    </xsl:if>

                                                    <xsl:if test="@F57A_ADRES!=''">
                                                        <xsl:if test="@F57A_ACC!=''">
                                                            <tr>
                                                                <th align="left">

                                                                    <span style="font-weight:bold">
                                                                        <xsl:text>F57D_ACC</xsl:text>
                                                                    </span>
                                                                </th>
                                                                <th align="left">
                                                                    <span style="font-weight:bold">
                                                                        <xsl:text>Коррсчет Банка Бенефициара</xsl:text>
                                                                    </span>
                                                                </th>
                                                            </tr>
                                                            <tr>
                                                                <th>
                                                                </th>
                                                                <td align="left">
                                                                    <xsl:for-each select="@F57A_ACC">
                                                                        <span>
                                                                            <xsl:value-of select="string(.)"/>
                                                                        </span>
                                                                    </xsl:for-each>
                                                                </td>
                                                            </tr>
                                                        </xsl:if>
                                                        <tr>
                                                            <th align="left">
                                                                <span style="font-weight:bold">
                                                                    <xsl:text>F57D_NAME</xsl:text>
                                                                </span>
                                                            </th>
                                                            <th align="left">
                                                                <span style="font-weight:bold">
                                                                    <xsl:text>Наименование и адрес Банка Бенефициара</xsl:text>
                                                                </span>
                                                            </th>
                                                        </tr>
                                                        <tr>
                                                            <th>
                                                            </th>
                                                            <td style="padding-bottom:5" align="left">
                                                                <xsl:for-each select="@F57A_ADRES">
                                                                    <span align="left">
                                                                        <xsl:value-of select="string(.)"/>
                                                                    </span>
                                                                </xsl:for-each>
                                                            </td>
                                                        </tr>
                                                    </xsl:if>

                                                    <xsl:if test="@F58A_BIC!=''">
                                                        <xsl:if test="@F58A_ACC!=''">
                                                            <tr>
                                                                <th align="left">
                                                                    <span style="font-weight:bold">
                                                                        <xsl:text>F58A_ACC</xsl:text>
                                                                    </span>
                                                                </th>
                                                                <th align="left">
                                                                    <span style="font-weight:bold">
                                                                        <xsl:text>Коррсчет Бенефициара</xsl:text>
                                                                    </span>
                                                                </th>
                                                            </tr>
                                                            <tr>
                                                                <th>
                                                                </th>
                                                                <td align="left">

                                                                    <xsl:for-each select="@F58A_ACC">
                                                                        <span>
                                                                            <xsl:value-of select="string(.)"/>
                                                                        </span>
                                                                    </xsl:for-each>
                                                                </td>
                                                            </tr>
                                                        </xsl:if>
                                                        <tr>
                                                            <th align="left">
                                                                <span style="font-weight:bold">
                                                                    <xsl:text>F58A_BIC </xsl:text>
                                                                </span>
                                                            </th>
                                                            <th align="left">
                                                                <span style="font-weight:bold">
                                                                    <xsl:text>SWIFT BIC Бенефициара </xsl:text>
                                                                </span>
                                                            </th>
                                                        </tr>
                                                        <tr>
                                                            <th>
                                                            </th>
                                                            <td align="left">
                                                                <xsl:for-each select="@F58A_BIC">
                                                                    <span>
                                                                        <xsl:value-of select="string(.)"/>
                                                                    </span>
                                                                </xsl:for-each>
                                                            </td>
                                                        </tr>
                                                    </xsl:if>
                                                    <xsl:if test="@F58A_ADRES!=''">
                                                        <xsl:if test="@F58A_ACC!=''">
                                                            <tr>
                                                                <th align="left">
                                                                    <span style="font-weight:bold">
                                                                        <xsl:text>F58D_ACC</xsl:text>
                                                                    </span>
                                                                </th>
                                                                <th align="left">
                                                                    <span style="font-weight:bold">
                                                                        <xsl:text>Коррсчет Бенефициара</xsl:text>
                                                                    </span>
                                                                </th>
                                                            </tr>
                                                            <tr>
                                                                <th>
                                                                </th>
                                                                <td align="left">

                                                                    <xsl:for-each select="@F58A_ACC">
                                                                        <span>
                                                                            <xsl:value-of select="string(.)"/>
                                                                        </span>
                                                                    </xsl:for-each>
                                                                </td>
                                                            </tr>
                                                        </xsl:if>
                                                        <tr>
                                                            <th align="left">
                                                                <span style="font-weight:bold">
                                                                    <xsl:text>F58D_NAME</xsl:text>
                                                                </span>
                                                            </th>
                                                            <th align="left">
                                                                <span style="font-weight:bold">
                                                                    <xsl:text>Наименование и адрес Бенефициара</xsl:text>
                                                                </span>
                                                            </th>
                                                        </tr>
                                                        <tr>
                                                            <th>
                                                            </th>
                                                            <td style="padding-bottom:5" align="left">
                                                                <xsl:for-each select="@F58A_ADRES">
                                                                    <span align="left">
                                                                        <xsl:value-of select="string(.)"/>
                                                                    </span>
                                                                </xsl:for-each>
                                                            </td>
                                                        </tr>
                                                    </xsl:if>
                                                    <tr>
                                                        <th>
                                                        </th>
                                                        <td align="left">
                                                            <xsl:for-each select="@FIRMPURPOSE">
                                                                <span>
                                                                    <xsl:value-of select="string(.)"/>
                                                                </span>
                                                            </xsl:for-each>
                                                        </td>
                                                    </tr>
                                                </xsl:otherwise>
                                            </xsl:choose>
                                            <br/>
                                        </xsl:for-each>
                                    </tbody>
                                </xsl:for-each>
                            </table>
                        </xsl:for-each>

                    </div>
                </xsl:for-each>

            </body>
        </html>
    </xsl:template>
</xsl:stylesheet>
